#
# spec file for package kajongg
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kajongg
BuildRequires:  libkdegames-devel
BuildRequires:  python-kde4-devel
BuildRequires:  python-kdebase4
BuildRequires:  xz
Summary:        4 Player Mahjongg game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Version:        4.12.0
Release:        0
Source0:        kajongg-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python-kde4
Requires:       python-twisted
%kde4_runtime_requires

%description
Kajongg is a version of the four player Mahjongg tile game.

%prep
%setup -q -n kajongg-%{version}

%build
  %cmake_kde4 -d build -- -DINSTALL_KAJONGG=TRUE
  %make_jobs

%install
  cd build
  %makeinstall
  %suse_update_desktop_file -r kajongg         Game BoardGame
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kde4_bindir}/kajongg
%{_kde4_bindir}/kajonggserver
%{_kde4_applicationsdir}/kajongg.desktop
%{_kde4_htmldir}/en/kajongg/
%{_kde4_iconsdir}/hicolor/*/apps/kajongg.*
%{_kde4_iconsdir}/hicolor/*/actions/games-kajongg-law.*
%{_kde4_appsdir}/kajongg/

%changelog
